Create a page on Office Wiki about Phabricator?
Closed, ResolvedPublic

Description

It seems to me it would be nice to have a top level overview of what phab is, which teams/projects are using it, and maybe a simple 'getting started' note.

Could you help me draft something like that up for the office wiki?

Best,

Joel

JKrauska updated the task description. (Show Details)
JKrauska raised the priority of this task from to Needs Triage.
JKrauska assigned this task to Qgil.
JKrauska added a project: Phabricator.
JKrauska added a subscriber: JKrauska.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 11:33 PM
Aklapper claimed this task.May 25 2015, 1:37 PM
Aklapper added a subscriber: Qgil.

have a top level overview of what phab is

https://www.mediawiki.org/wiki/Phabricator states "Phabricator is an open-source software development platform used for project management, bug reporting, feature requests, and code review in an integrated fashion." and more information.

which teams/projects are using it

See T825 for teams - that list would have to change constantly and I'm not entirely sure what's the value of that information on office.wm.
See https://www.mediawiki.org/wiki/Phabricator/Projects for a list of projects.

and maybe a simple 'getting started' note.

See https://www.mediawiki.org/wiki/Phabricator#Get_started

Does that sufficiently cover the needs in this ticket and should we close this ticket? Or am I missing some aspects you'd like to see covered? :)

The major benefit to using mediawiki.org over office.wikimedia.org is that the former is much more likely to stay up-to-date, of course. If anything's lacking on mediawiki.org, please be bold in improving it!

@Aklapper Thanks for your notes.
What hilarious to me is that I am (yes me) front an central in the video you posted. :)

I'm looking for something with a slightly different audience in mind.

I think we all may be too familiar with Phabricator to be very effective at this.

Imagine you're a new hire on the accounting team and have never edited a wiki or filed a bug before.

I'm looking to create an Office wiki page for a complete beginner to help them with their onboarding process at WMF.

The idea is to help educate internal users on what they might need to use Phabricator for -- one technique might to explain using some 'hero stories'.

One example 'hero story' I often run in to involves users needing to open a ticket with Ops for various requests. (I need to boil that down to a more concrete example.)

Another example might be the uber generic: 'Do you have an improvement/suggestion for mediawiki software? This is how you request it, etc."...

Think 10,000ft. Explain to me like I'm 5, etc. :)

Imagine you're a new hire on the accounting team and have never edited a wiki or filed a bug before.

I'm looking to create an Office wiki page for a complete beginner to help them with their onboarding process at WMF.

Makes sense. I think what I am afraid of is just duplicating information.
If that internal office.wm page mostly included links to the (preferably public) canonical and existing information I'm very happy.

I simply wonder how the WMF onboarding process for Phabricator (to be documented on a non-public wiki page) is different from a non-WMF onboarding process for Phabricator (already documented on public wiki pages). There likely are enough differences I'm not aware of. :)

The idea is to help educate internal users on what they might need to use Phabricator for

Roughly I'd say currently any issues, ideas and requests (which can be defined as "resolved" or "fixed" at some point) which are related to development (also see T825) and engineering, operations, Technical Fundraising, Analytics, Community Liaisons, Learning and Evaluation, Team Practices, Design.
Legal has a project in Phabricator but its not their main point of contact, as written on their info page.
Wondering if @Qgil has any better description idea handy.

One example 'hero story' I often run in to involves users needing to open a ticket with Ops for various requests. (I need to boil that down to a more concrete example.)

For that concrete example I'd link to https://wikitech.wikimedia.org/wiki/Operations_requests

Another example might be the uber generic: 'Do you have an improvement/suggestion for mediawiki software? This is how you request it, etc."...

For that I'd link to https://www.mediawiki.org/wiki/How_to_report_a_bug

Qgil added a subscriber: MNeisler.May 28 2015, 3:04 PM

I'm not sure. If you are onboarded in a team that uses Phabricator, you will get the information you need from the public sources and your collegaues. If you are onboarded in a team that doesn't use Phabricator, then, well, the need for this page is very basic.

I think the basic problem is solved at https://office.wikimedia.org/wiki/Administration/Software#Phabricator, a section that was created yesterday and that I found today, curious about seeing what results would bring a search for "Phabricator". I don't think we need more than this in office.wiki. Improvements to the documentation would be more useful in mediawiki.org with the rest of our Phabricator documentation.

Resolved by @MNeisler? (thanks!)

Aklapper closed this task as Resolved.Jun 1 2015, 11:43 AM

I'd call this resolved as per last comments and @MNeisler's edits (thanks!). Please reopen if you disagree (see Quim's last comment).